Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Interface CampaignConstants

Deprecated. Use ejb-refs instead.

public interface CampaignConstants

Constants used by the campaign components, including jndi home names of the various services

Field Summary
`static String` | `ACTION_SERVICE_HOME` Deprecated.
`static String` | `AD_BUCKET_SERVICE_HOME` Deprecated. Default ad bucket service home name.
`static String` | `AD_CONFLICT_RESOLVER_HOME` Deprecated. Default ad conflict resolver home name.
`static String` | `AD_SERVICE_HOME` Deprecated. Default ad service home name.
`static String` | `CAMPAIGN_REPOSITORY_HOME` Deprecated. Default campaign repository home name.
`static String` | `CAMPAIGN_SERVICE_HOME` Deprecated. Default campaign service home name.
`static String` | `PLACEHOLDER_SERVICE_HOME` Deprecated. Default placeholder service home name.
`static String` | `SCENARIO_REPOSITORY_HOME` Deprecated. Default scenario repository home name.
`static String` | `SCENARIO_SERVICE_HOME` Deprecated. Default scenario service home name.

Field Detail

### ACTION_SERVICE_HOME

    public static final String ACTION_SERVICE_HOME

  Deprecated.
  See Also:
    Constant Field Values

### AD_BUCKET_SERVICE_HOME

    public static final String AD_BUCKET_SERVICE_HOME

  Deprecated.
  Default ad bucket service home name.

  See Also:
    Constant Field Values

### AD_CONFLICT_RESOLVER_HOME

    public static final String AD_CONFLICT_RESOLVER_HOME

  Deprecated.
  Default ad conflict resolver home name.

  See Also:
    Constant Field Values

### AD_SERVICE_HOME

    public static final String AD_SERVICE_HOME

  Deprecated.
  Default ad service home name.

  See Also:
    Constant Field Values

### CAMPAIGN_REPOSITORY_HOME

    public static final String CAMPAIGN_REPOSITORY_HOME

  Deprecated.
  Default campaign repository home name.

  See Also:
    Constant Field Values

### CAMPAIGN_SERVICE_HOME

    public static final String CAMPAIGN_SERVICE_HOME

  Deprecated.
  Default campaign service home name.

  See Also:
    Constant Field Values

### PLACEHOLDER_SERVICE_HOME

    public static final String PLACEHOLDER_SERVICE_HOME

  Deprecated.
  Default placeholder service home name.

  See Also:
    Constant Field Values

### SCENARIO_REPOSITORY_HOME

    public static final String SCENARIO_REPOSITORY_HOME

  Deprecated.
  Default scenario repository home name.

  See Also:
    Constant Field Values

### SCENARIO_SERVICE_HOME

    public static final String SCENARIO_SERVICE_HOME

  Deprecated.
  Default scenario service home name.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved